XRANDR(1)

NOM
xrandr - Interface primitive en ligne de commande pour l'extension RandR

SYNOPSIS
xrandr [--help] [--display nom] [-q] [-v] [--verbose] [--dryrun] [--screen num_écran] [--q1] [--q12] [--current] [--noprimary] [--panning largeurxhauteur[+x+y[/largeur_pistexhauteur_piste+piste_x+piste_y[/bord_gauche/bord_haut/bord_droit/bord_bas]]]] [--scale xxy] [--scale-from lxh] [--transform a,b,c,d,e,f,g,h,i] [--primary] [--prop] [--fb largeurxhauteur] [--fbmm largeurxhauteur] [--dpi dpi] [--newmode nom mode] [--rmmode nom] [--addmode sortie nom] [--delmode sortie nom] [--output sortie] [--auto] [--mode mode] [--preferred] [--pos xxy] [--rate fréquence] [--reflect réflexion] [--rotate rotation] [--left-of autre_sortie] [--right-of autre_sortie] [--above autre_sortie] [--below autre_sortie] [--same-as autre_sortie] [--set propriété valeur] [--off] [--crtc crtc] [--gamma rouge:vert:bleu] [--brightness luminosité] [-o rotation] [-s, --size indice de taille] [-r fréquence] [-x] [-y] [--listproviders] [--setprovideroutputsource fournisseur source] [--setprovideroffloadsink fournisseur collecteur]

DESCRIPTION
Xrandr sert à déterminer la taille, l'orientation ou la réflexion des sorties pour un écran. Il permet aussi de définir la taille de l'écran.

L'appel sans option provoque l'affichage de l'état des sorties, la liste de tous les modes pour chacune d'elles, avec un « + » après les modes préférés et un « * » après le mode actuel.

Quelques options sont globales. Les autres modifient la dernière sortie indiquée par les paramètres précédents de la ligne de commande. Les sorties multiples peuvent être modifiées simultanément en plaçant plusieurs --output immédiatement suivies des options de la sortie correspondante

--help
    Afficher un résumé sur l'utilisation puis quitter.

-v, --version
    Afficher la version de RandR renvoyée par le serveur X puis quitter.

--verbose
    Rendre xrandr plus prolixe. En combinaison avec -q (ou sans autre option), xrandr montrera plus de renseignements sur l'état du serveur. Veuillez remarquer que les renseignements à propos du gamma et de la luminosité ne sont que des approximations du profil de couleur complet stocké dans le serveur. Avec des options qui modifient le système, les modifications seront affichées lorsque les changements de configuration sont effectués.

-q, --query
    Quand cette option est présente ou quand aucun changement de configuration n'est demandé, xrandr montrera l'état actuel du système.

--dryrun
    Effectuer toutes les actions indiquées, mais sans qu'aucune modification ne soit apportée.

--nograb
    Appliquer les modifications sans verrouiller l'accès à l'écran. Cela évite de bloquer les autres applications pendant la mise à jour, mais peut empêcher certaines applications qui détectent les changements de taille d'écran de recevoir les anciennes valeurs.

-d, --display nom
    Choisir l'affichage X à utiliser. Remarquez que cela se rapporte à l'abstraction de l’écran mais pas au comportement du moniteur (la sortie).

--screen num_écran
    Choisir l'écran à modifier. Remarquez que cela se rapporte à l'abstraction de l'écran, mais pas au comportement du moniteur (la sortie).

--q1
    Imposer l'utilisation de la version 1.1 du protocole RandR, même si une version supérieure est disponible.

--q12
    Imposer l'utilisation de la version 1.2 du protocole RandR, même si elle n'est pas indiquée comme étant prise en charge ou si une version supérieure est disponible.

Options de la version 1.4 de RandR

Les options de RandR 1.4 sont utilisées en plus des options possibles pour RandR 1.3.

--listproviders
    Renvoyer des renseignements sur les fournisseurs disponibles.

--setprovideroutputsource fournisseur source
    Définir la source comme source d’affichage des images en sortie pour le fournisseur. Ce n’est possible qui si la source et le fournisseur ont respectivement les capacités Source Output et Sink Output.

--setprovideroffloadsink fournisseur collecteur
    Définir le fournisseur comme périphérique de déchargement du rendu pour le collecteur. Ce n’est possible qui si le fournisseur et le collecteur ont respectivement les capacités Source Offload et Sink Offload.

Options de la version 1.3 de RandR

Les options de RandR 1.3 sont utilisées en plus des options possibles pour RandR 1.2.

--current
    Renvoyer la configuration actuelle de l'écran, sans modification matérielle.

--noprimary
    Ne pas définir de sortie principale.

Options par sortie

--panning largeurxhauteur[+x+y[/largeur_pistexhauteur_piste+piste_x+piste_y[/bord_gauche/bord_haut/bord_droit/bord_bas]]]
    Définir les paramètres du panoramique. Dès que cette option est activée, la position du CRTC dans l'écran bouge avec les mouvements de la souris. Les quatre premiers paramètres définissent l'aire du panoramique ; les quatre suivants, la zone de suivi (qui est la même par défaut) ; les quatre derniers, les bords, à 0 par défaut. Une hauteur ou une largeur définie à 0 désactive le panoramique sur l'axe associé. Généralement, vous devez définir la taille de l'écran avec --fb en même temps.

--transform a,b,c,d,e,f,g,h,i
    Indiquer une matrice de transformation à appliquer à la sortie. Un filtre bilinéaire est automatiquement sélectionné. La forme mathématique est :
        a b c
        d e f
        g h i
    La transformation repose sur des coordonnées homogènes. La matrice multipliée par le vecteur de coordonnées d'un pixel de la sortie fournit le vecteur de coordonnées transformé d'un pixel du tampon graphique. Plus précisément, le vecteur (x, y) du pixel de sortie est étendu en trois dimensions (x, y, w), avec 1 pour coordonnée w, et multiplie la matrice. Les coordonnées finales de périphérique du pixel sont alors calculées avec la division homogène par la coordonnée w transformée. Autrement dit, les coordonnées de périphérique (x', y') du pixel transformé sont :
        x' = (ax + by + c) / w' et
        y' = (dx + ey + f) / w',
        avec w' = (gx + hy + i).
    Typiquement, a et e correspondent à l'échelle selon les axes X et Y, c et f correspondent à une translation suivant ces mêmes axes, et g, h et i sont respectivement 0, 0 et 1. La matrice peut également être utilisée pour exprimer des transformations plus compliquées, comme la correction de trapèze (« keystone »), ou la rotation. Pour une rotation d'un angle T, la formule suivante peut être utilisée :
        cos T -sin T 0
        sin T cos T 0
          0 0 1
    Comme paramètre spécial, au lieu de passer une matrice, la chaîne none peut être passée, dans ce cas les valeurs par défaut sont utilisées (une matrice unitaire sans filtre).

--scale xxy
    Modifier les dimensions de l'image de sortie. Les valeurs supérieures à 1 entraîneront une compression de l'écran (dimensions de l'écran supérieures aux dimensions du mode de sortie) et les valeurs inférieures à 1 entraîneront un zoom de la sortie. Cette option est en fait une version raccourcie de l'option --transform.

--scale-from lxh
    Indiquer la taille en pixel de la surface du tampon vidéo à afficher sur cette sortie. Cette option est en fait une version raccourcie de l’option --transform.

--primary
    Définir la sortie comme primaire. Cette sortie sera classée première pour les requêtes de géométrie de Xinerama et RandR.

Options de la version 1.2 de RandR
Ces options ne sont disponibles que pour les serveurs X fournis avec les versions de RandR 1.2 ou plus récentes.

--prop, --properties
    Afficher les propriétés de chaque sortie. --verbose active également --prop.

--fb largeurxhauteur
    Reconfigurer l'écran à la taille indiquée. Tous les moniteurs configurés doivent entrer dans ce rectangle. Quand cette option n'est pas fournie, xrandr calcule la plus petite taille d'écran qui contiendra l'ensemble des sorties configurées ; cette option permet de modifier ce comportement.

--fbmm largeurxhauteur
    Configurer la taille physique de l'écran aux valeurs indiquées. Normalement, xrandr réinitialise cette taille pour garder constante la valeur DPI. Cela annule ce comportement par défaut.

--dpi dpi
    Configurer aussi la taille physique de l'écran. La valeur DPI est utilisée pour calculer la taille physique de l'écran quelle que soit la taille des pixels configurée.

--newmode nom mode
    De nouveaux modelines (modes vidéo) peuvent être ajoutés au serveur puis associés à des sorties. Cette option ajoute un modeline au serveur. Le mode est défini en utilisant la syntaxe des ModeLine de xorg.conf : clock hdisp hsyncstart hsyncend htotal vdisp vsyncstart vsyncend vtotal flags. On peut omettre flags ou des paramètres parmi +HSync, -HSync, +VSync, -VSync, Interlace, DoubleScan, CSync, +CSync, -CSync. Plusieurs outils permettent de calculer les paramètres usuels des modelines : hauteur, largeur et fréquence de rafraîchissement. Par exemple, vous pouvez utiliser cvt.

--rmmode nom
    Supprimer un mode du serveur s'il n'est pas utilisé.

--addmode sortie nom
    Ajouter un mode à l'ensemble des modes valables d'une sortie.

--delmode sortie nom
    Enlever un mode de l'ensemble des modes valables d'une sortie.

Options par sortie

--output sortie
    Sélectionner la sortie à reconfigurer. Utilisez le nom de la sortie ou le XID.

--auto
    Pour les sorties connectées mais désactivées, cela les activera en utilisant leur premier mode préféré (ou une valeur proche de 96 dpi si elles n'ont aucun mode préféré). Pour les sorties débranchées mais activées, cela les désactivera.

--mode mode
    Sélectionner un mode. Utilisez le nom ou le XID du mode.

--preferred
    Sélectionner le même mode que --auto, mais sans activer ou désactiver automatiquement la sortie.

--pos xxy
    Positionner la sortie dans l'écran en utilisant des coordonnées de pixels. Dans le cas où une réflexion ou une rotation est appliquée, la modification est appliquée après cet effet.

--rate fréquence
    Marquer une préférence pour des fréquences de rafraîchissement autour de la valeur indiquée. Quand plusieurs modes ont le même nom, le mode le plus proche de la fréquence de rafraîchissement est choisi.

--reflect réflexion
    La réflexion peut être « normal », « x », « y » ou « xy ». Cela produit une sortie symétrique par rapport aux axes indiqués.

--rotate rotation
    La rotation peut être « normal », « left », « right » ou « inverted ». Cela génère respectivement une sortie « sans rotation », une rotation « à gauche » (dans le sens inverse des aiguilles d'une montre), une « à droite » (dans le sens des aiguilles d'une montre) ou « à l'envers ».

--left-of, --right-of, --above, --below, --same-as autre_sortie
    Chaque option place la sortie relativement à une autre sortie. Cela permet un pavage (tiling) commode des sorties dans l'écran. La position est toujours calculée relativement à la nouvelle position de l'autre sortie. Ainsi, il n'est pas admissible d'indiquer --output a --left-of b --output b --left-of a.

--set propriété valeur
    Définir une propriété de sortie. Les valeurs entières peuvent être indiquées dans une liste, séparées par des virgules, de valeurs décimales ou hexadécimales (débutant avec 0x) valables (consultez --prop). Les propriétés atomiques peuvent prendre pour valeur toute valeur atomique valable (consultez --prop). Les propriétés prenant une chaîne acceptent n'importe quelle valeur.

--off
    Désactiver la sortie.

--crtc crtc
    Utiliser le CRTC indiqué (par son indice dans la liste de CRTC ou son XID). Normalement, cette option n'est pas exigée lorsque xrandr essaye de faire le choix délicat du CRTC à employer pour chaque sortie. Quand ce choix échoue pour quelque raison, cette option peut remplacer le choix normal.

--gamma rouge:vert:bleu
    Définir les valeurs, indiquées en virgule flottante, comme correction gamma pour le CRTC actuellement branché à cette sortie. Remarquez que pour des sorties clonées (c'est-à-dire qui partagent le même CRTC) les valeurs doivent être identiques et que le changement d'une sortie vers un autre CRTC ne modifie pas la correction gamma du CRTC.

--brightness luminosité
    Multiplier les valeurs de gamma du CRTC attaché en ce moment à la sortie par la valeur à virgule flottante indiquée. Utile pour les sorties trop lumineuses ou trop sombres. Toutefois, ce n'est qu'une modification logicielle, si votre matériel gère la modification réelle de luminosité, l'utilisation de xbacklight est sans doute préférable.

Options de la version 1.1 de RandR
Ces options sont disponibles pour les serveurs X qui ont la version 1.1 de RandR ou une version plus ancienne. Elles sont toujours valables pour les serveurs X plus récents, mais elles n'interagissent pas très bien avec des options de la version 1.2 sur la même ligne de commande.

-s, --size indice de taille ou --size largeurxhauteur
    Configurer la taille de l'écran en utilisant la taille indiquée ou l'indice dans la liste de tailles disponibles.

-r, --rate, --refresh fréquence
    Définir la fréquence de rafraîchissement à la valeur la plus proche de celle indiquée.

-o, --orientation rotation
    Indiquer l'orientation de l'écran, qui peut être choisie parmi « normal », « inverted », « left » ou « right ».

-x  Réfléchir l'image symétriquement par rapport à l'axe X.

-y  Réfléchir l'image symétriquement par rapport à l'axe Y.

EXEMPLES
Configurer la sortie appelée LVDS à son mode préféré, et placer à sa droite la sortie appelée VGA au mode préféré d’un écran physiquement tourné dans le sens des aiguilles d'une montre :
    xrandr --output LVDS --auto --rotate normal --pos 0x0 --output VGA --auto --rotate left --right-of LVDS

Forcer l'utilisation d'un mode 1024x768 sur la sortie VGA :
    xrandr --newmode "1024x768" 63.50 1024 1072 1176 1328 768 771 775 798 -hsync +vsync
    xrandr --addmode VGA 1024x768
    xrandr --output VGA --mode 1024x768

Activer le mode panoramique sur un bureau 1600×768 avec l'affichage en 1024×768 sur la sortie VGA :
    xrandr --fb 1600x768 --output VGA --mode 1024x768 --panning 1600x0

Activer un petit écran LVDS en 1280×800 pour montrer une petite version d'un bureau de 3200×2000 et avoir un grand écran VGA affichant les environs de la souris à la taille normale :
    xrandr --fb 3200x2000 --output LVDS --scale 2.5x2.5 --output VGA --pos 0x0 --panning 3200x2000+0+0/3200x2000+0+0/64/64/64/64

Afficher la sortie VGA sous forme trapézoïdale pour corriger l'image quand le projecteur est légèrement au-dessus de l'écran :
    xrandr --fb 1024x768 --output VGA --transform 1.24,0.16,-124,0,1.24,0,0,0.000316,1

VOIR AUSSI
cvt(1), xbacklight(1), xkeystone(1), Xrandr(3)

AUTEURS
Keith Packard, Open Source Technology Center, Intel Corporation. et Jim Gettys, Cambridge Research Laboratory, HP Labs, HP.

TRADUCTION
Cette page de manuel a été traduite par Gérard Delafond en 2005 puis mise à jour par Bernard SIAUD de 2007 à 2010.

La version présente dans Debian est dorénavant maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.